#define SEG7_DIGITS 6

#define SEG_A 0x01
#define SEG_B 0x02
#define SEG_C 0x04
#define SEG_D 0x08
#define SEG_E 0x10
#define SEG_F 0x20
#define SEG_G 0x40
#define SEG_DOT 0x80

#define SEG_CHAR_0 (SEG_A + SEG_B + SEG_C + SEG_D + SEG_E + SEG_F        )
#define SEG_CHAR_1 (        SEG_B + SEG_C                                )
#define SEG_CHAR_2 (SEG_A + SEG_B         + SEG_D + SEG_E         + SEG_G)
#define SEG_CHAR_3 (SEG_A + SEG_B + SEG_C + SEG_D                 + SEG_G)
#define SEG_CHAR_4 (        SEG_B + SEG_C                 + SEG_F + SEG_G)
#define SEG_CHAR_5 (SEG_A         + SEG_C + SEG_D         + SEG_F + SEG_G)
#define SEG_CHAR_6 (SEG_A         + SEG_C + SEG_D + SEG_E + SEG_F + SEG_G)
#define SEG_CHAR_7 (SEG_A + SEG_B + SEG_C                                )
#define SEG_CHAR_8 (SEG_A + SEG_B + SEG_C + SEG_D + SEG_E + SEG_F + SEG_G)
#define SEG_CHAR_9 (SEG_A + SEG_B + SEG_C + SEG_D         + SEG_F + SEG_G)

#define DATA_DDR DDRB
#define DATA_PORT PORTB

#define DIGIT_DDR DDRD
#define DIGIT_PORT PORTD
#define DIGIT_0 0x01
#define DIGIT_1 0x04
#define DIGIT_2 0x08
#define DIGIT_3 0x10
#define DIGIT_4 0x20
#define DIGIT_5 0x40
#define DIGIT_MASK (DIGIT_0+ DIGIT_1+ DIGIT_2+ DIGIT_3+ DIGIT_4+ DIGIT_5)

void seg7_init();          /* clear the display */
void seg7_multiplex();     /* multiplex to the next digit */
void seg7_data_set(uint8_t digitnr,uint8_t data); /* put data to segment */
void seg7_digit_set(uint8_t digitnr,uint8_t data); /* put 0-F data to segment */
void seg7_test(); /* test for the hardware */
void seg7_dec_set(uint8_t digitnr,uint8_t data); /* put a decimal number into the display */
void seg7_set_dots(); /* turn the dots on */
void seg7_clear_dots(); /* turn the dots off */
void seg7_off(); /* turn leds off, make ports highz */
